#!/bin/sh
#
# externremux.sh

# CONFIG START
  TMP=/tmp/externremux-${RANDOM:-$$}
#source /var/www/dabvod/quality
DEFAULT_QUALITY="DSL1000"
# CONFIG END

if [ "$1" == "" ];then
STREAMQUALITY=$DEFAULT_QUALITY
	else
STREAMQUALITY=$1
fi

mkdir -p $TMP
mkfifo $TMP/out.avi
(trap "rm -rf $TMP" EXIT HUP INT TERM ABRT; cat $TMP/out.avi) &

case "$STREAMQUALITY" in
     "X264") 	exec mencoder -ovc x264  -x264encopts subq=4:bframes=2 bitrate=3000 pass=1 \
                -oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 160 \
                -o $TMP/out.avi -- - &>$TMP/out.log ;;
     "DSL1000") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=100 \
		-oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 160 \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
     "DSL2000") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=128 \
		-oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 160 \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
     "DSL3000") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=250 \
		-oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 320 \
                -o $TMP/out.avi -- - &>$TMP/out.log ;;
     "DSL6000") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=350 \
		-oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 320 \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
     "DSL16000") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=500 \
		-oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 480 \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
       "LAN10") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=4096 \
		-oac mp3lame -lameopts preset=standard \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
      "WLAN11") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=768 \
		-oac mp3lame -lameopts preset=standard -vf scale -zoom -xy 640 \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
      "WLAN54") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=2048 \
		-oac mp3lame -lameopts preset=standard \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
	"IPAQ") exec mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=350 \
		-oac mp3lame -lameopts preset=15:mode=3 -vf scale -zoom -xy 320 \
		-o $TMP/out.avi -- - &>$TMP/out.log ;;
        "HOME") exec mencoder -of mpeg -ovc copy -oac copy -mpegopts format=mpeg \
                -o $TMP/out.avi -- - &>$TMP/out.log ;;
	   *) touch $TMP/out.avi ;;
esac

