#!/bin/sh
#
# Mise a jour de l'EPG via le programme mc2xml (media center TV Listings to XMLTV.xml)
#
# mc2xml est un grabber autonome qui télécharge directement les données au format xmltv depuis les serveurs EPG MCE de Microsoft
#
# Voir le fichier LISEZMOI.txt pour plus d'information
#

# Indiquer le chemin vers la commande svdrpsend.pl
SVDRPSEND=/usr/local/src/VDR/svdrpsend.pl

# Dossier de configuration de VDR
VDR_CONF=/video/vdrconf

# Dossier des scripts de VDR
VDR_CONF_SCRIPTS=$VDR_CONF/scripts

# Dossier contenant le grabber mc2xml et les fichiers de conf
REP_GRABBER=$VDR_CONF_SCRIPTS/mc2xml

# Fichier de log
LOG_FILE=$REP_GRABBER/mc2xml.log


# Suppression des anciens fichiers de travail
rm -f $REP_GRABBER/$1.xml $LOG_FILE

# Message de téléchargement des données
$SVDRPSEND mesg "EPG : Téléchargement des données en cours ..." > $LOG_FILE
 
# Lancement du programme de grab des données (Utiliser le paramètre -f pour forcer un téléchargement)
$REP_GRABBER/mc2xml -U -D $REP_GRABBER/$1.dat -C $REP_GRABBER/$1.chl -o $REP_GRABBER/$1.xml >> $LOG_FILE

# Si il n'y a pas de nouveau fichier XML
if test ! -f $REP_GRABBER/$1.xml;  then
   # Affiche un message pour signaler qu'il n'y a pas de nouvelle mise à jour des données
   $SVDRPSEND mesg "EPG : Pas de mise à jour disponible !" >> $LOG_FILE
   exit 1
fi

# Supprime tout le contenu de l'EPG actuel de VDR
$SVDRPSEND clre >> $LOG_FILE

# Message d'intégration des données dans VDR
$SVDRPSEND mesg "EPG : Intégration des données dans VDR en cours ..." >> $LOG_FILE
   
# Lancement du programme d'intégration des données dans VDR
$REP_GRABBER/xml.pl -c $VDR_CONF/channels.conf -l $REP_GRABBER/$1.trans -x $REP_GRABBER/$1.xml >> $LOG_FILE

# Message de fin de mise à jour des données
$SVDRPSEND mesg "EPG : Mise à jour terminée" >> $LOG_FILE

exit 0
