#!/bin/sh
#
# Mise a jour de l'EPG via le plugin mv des Dreambox
# Adaptation du script de Alien2924
# Merci aux testeurs

# Définition des variables

# Indiquer une chaine du transpondeur 10873
NUM_CHAINE_EPG=152

# Indiquer le chemin vers la commande svdrpsend.pl
SVDRPSEND=/usr/local/src/VDR/svdrpsend.pl

# Dossier des scripts
VDR_CONF_DIR=/video/vdrconf/scripts

# Dossier contenant mv (channels, load-otv-epg.py)
PLUGIN_MV=$VDR_CONF_DIR/mv4vdr

# Fichier de log
LOG_FILE=$PLUGIN_MV/mv4vdr.log

# Suppression des anciens fichiers de travail
rm -f $PLUGIN_MV/*.dat $LOG_FILE

# Message de début de mise a jour de l'EPG
$SVDRPSEND mesg "Lancement de la mise à jour de l'EPG" > $LOG_FILE

# Sauvegarde de la chaine en cours
CHAINE_EN_COURS=`$SVDRPSEND chan | grep "250 " | cut -d" " -f2`

# Bascule sur la chaine du transpondeur 10873 qui diffuse l'EPG TPS
$SVDRPSEND chan $NUM_CHAINE_EPG >> $LOG_FILE 
sleep 2

# Message de lancement de l'extraction de l'EPG
$SVDRPSEND mesg "Extraction de l'EPG en cours ..." >> $LOG_FILE

# Lancement du programme d'extraction de l'EPG TPS
$PLUGIN_MV/multiepg -a 0 -o $PLUGIN_MV/epg-sat.dat >> $LOG_FILE

# Rebascule sur la chaine d'origine
$SVDRPSEND chan $CHAINE_EN_COURS >> $LOG_FILE

# Message d'intégration de l'EPG dans VDR
$SVDRPSEND mesg "Intégration de l'EPG dans VDR en cours ..." >> $LOG_FILE 

# Vérification que la durée des émissions soit bien placées
sed -e s'/h\(..\)L /h\1\nL /'g  $PLUGIN_MV/epg-sat.dat > $PLUGIN_MV/epg-verifie.dat

# Conversion du fichier du format ISO-8859-15 en UTF-8
iconv -f ISO-8859-15 -t UTF-8 $PLUGIN_MV/epg-verifie.dat > $PLUGIN_MV/epg-ok.dat

# Supprime tout le contenu de l'EPG actuel de VDR
$SVDRPSEND clre >> $LOG_FILE

# Lancement du programme d'intégration de l'EPG dans VDR
$PLUGIN_MV/load-otv-epg.py $PLUGIN_MV/epg-ok.dat $PLUGIN_MV/channels >> $LOG_FILE

# Message de fin de mise à jour de l'EPG
$SVDRPSEND mesg "Fin de la mise à jour l'EPG" >> $LOG_FILE
